# Class Person

java.lang.Object
com.ryanharter.auto.value.gson.example.Person

public abstract class Person extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Person.Builder`
`static @interface`
`Person.Nullable`

## Constructor Summary

Constructors
Constructor
Description
`Person()`

## Method Summary

Modifier and Type
Method
Description
`abstract Address`
`address()`
`abstract int`
`age()`
`abstract Date`
`birthdate()`
`static Person.Builder`
`builder()`
`abstract int`
`gender()`
`abstract String`
`name()`
`static com.google.gson.TypeAdapter<Person>`
`typeAdapter(com.google.gson.Gson gson)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Person

public Person()

## Method Details

### name

public abstract String name()

### gender

public abstract int gender()

### age

public abstract int age()

### birthdate

public abstract Date birthdate()

### address

public abstract Address address()

### builder

public static Person.Builder builder()

### typeAdapter

public static com.google.gson.TypeAdapter<Person> typeAdapter(com.google.gson.Gson gson)